Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SharedFileDiagnosticImpl

`java.lang.Object
oracle.jbo.common.SharedFileDiagnosticImpl`

All Implemented Interfaces:
  IDiagnostic, IDiagnostic2

public class SharedFileDiagnosticImpl
extends java.lang.Object
implements IDiagnostic, IDiagnostic2

A Diagnostic implementation that routes output to a file.

The factory implementation allows the shortcut "file" for this implementation. It creates a unique file in the (system dependent) TEMP location, and writes all diagnostic output to it.

This class may be used with JDeveloper 9.0.2, in which case the special shortname isn't available: to use this class you should set * `jbo.debugoutput` to the value `oracle.jbo.common.SharedFileDiagnosticImpl`

This class is instantiated in `DiagonsticFactory#createDiagnostic()`.

Since:
  Jdeveloper 9.0.3

Field Summary
`static java.lang.String` | `LOGFILE_PREFIX`
`static java.lang.String` | `LOGFILE_SUFFIX`

Constructor Summary
`SharedFileDiagnosticImpl()`
`SharedFileDiagnosticImpl(java.lang.String fileName)` Creates an instance.

Method Summary
`void` | `initialized(java.lang.String reason)` Called to signal initialization of Diagnostic.
`void` | `print(java.lang.String message)` Displays a message in the console.
`void` | `println(java.lang.String message)` Prints a trace message and terminates the line.
`java.lang.String` | `toString()` Produces a textual description of this diagnostic service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOGFILE_PREFIX

    public static final java.lang.String LOGFILE_PREFIX

  See Also:
    Constant Field Values

### LOGFILE_SUFFIX

    public static final java.lang.String LOGFILE_SUFFIX

  See Also:
    Constant Field Values

Constructor Detail

### SharedFileDiagnosticImpl

    public SharedFileDiagnosticImpl(java.lang.String fileName)

  Creates an instance.

### SharedFileDiagnosticImpl

    public SharedFileDiagnosticImpl()

Method Detail

### print

    public void print(java.lang.String message)

  Displays a message in the console.
  Specified by:
    `print` in interface `IDiagnostic`
  Parameters:
    `message` - the message to be printed.

### println

    public void println(java.lang.String message)

  Description copied from interface: `IDiagnostic`
  Prints a trace message and terminates the line.
  Specified by:
    `println` in interface `IDiagnostic`
  Parameters:
    `message` - the text to be printed.

### initialized

    public void initialized(java.lang.String reason)

  Description copied from interface: `IDiagnostic2`
  Called to signal initialization of Diagnostic.
  Specified by:
    `initialized` in interface `IDiagnostic2`
  Parameters:
    `reason` - describes the reason for initialization.

### toString

    public java.lang.String toString()

  Produces a textual description of this diagnostic service.
  Specified by:
    `toString` in interface `IDiagnostic`
  Returns:
    a status string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.